.psyfi-yt *{box-sizing:border-box}

.psyfi-yt__grid{display:grid;gap:16px;grid-template-columns:repeat(4,minmax(0,1fr))}
.psyfi-yt__card{display:block;text-decoration:none;color:inherit;overflow:hidden;}
.psyfi-yt__thumb{position:relative;aspect-ratio:9/16;overflow:hidden;border-radius: 18px;}
.psyfi-yt__thumb img{width:100%;height:100%;object-fit:cover;display:block}
.psyfi-yt__meta{padding:10px 10px 12px}
.psyfi-yt__title{font-size:20px;font-weight:500;line-height:30px;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;overflow:hidden;color:#FFFFFF;margin-bottom: 10px;}
.psyfi-yt__views{font-size:16px;font-weight:500;line-height:24px;color:#B2B2B2;}

.psyfi-yt__carousel-wrap{position:relative}
.psyfi-yt__carousel{display:flex;overflow:auto;scroll-snap-type:x mandatory;scrollbar-width: none;-ms-overflow-style: none;}

.psyfi-yt__carousel::-webkit-scrollbar{display: none;}
.psyfi-yt__item{scroll-snap-align:start}

.psyfi-yt__carousel.is-dragging,
.psyfi-yt__carousel.is-dragging *{
    user-select: none;
}

.psyfi-yt__carousel.is-dragging img{
    pointer-events: none;
}

.psyfi-yt__nav{
    display:flex;
    gap:16px;
    justify-content:flex-end;
    margin-top:20px;
    margin-right: 48px;
}

.psyfi-yt__btn{
    border:none;
    padding:0;
    background-color: unset!important;
}

.psyfi-yt__btn svg{
    display:block;
    width:44px;
    height:44px;
    transition: transform .2s ease, opacity .2s ease;
}

.psyfi-yt__btn:hover svg{
    fill: #5E17EB;
}

.psyfi-yt--error{padding:12px;border:1px solid rgba(255,255,255,.12);border-radius:12px}

.psyfi-yt__open{
    position:absolute;
    top:12px;
    right:12px;
    width:44px;
    height:44px;
    display:block;
    border-radius:999px;
    pointer-events:none;
    transform: translateZ(0);
}

.psyfi-yt__open svg{display:block;width:100%;height:100%}

.psyfi-yt__card:hover .psyfi-yt__open{
    transform: scale(1.06);
}

.psyfi-yt__open{
    box-shadow: 0 8px 18px rgba(94, 23, 235, .35);
}

@media (max-width: 1024px){
    .psyfi-yt__grid{grid-template-columns:repeat(2,minmax(0,1fr))}
}

@media (max-width: 767px) {
    .psyfi-yt__carousel{gap:16px;}
    .psyfi-yt__item{flex:0 0 160px;}
    .psyfi-yt__title{font-size:16px;line-height: 20px;}
    .psyfi-yt__views{font-size:14px}
    .psyfi-yt__open{width:30px;height:30px;}
    .psyfi-yt__thumb{aspect-ratio: 9 / 16;}
    .psyfi-yt__nav{display:none}
}

@media (max-width:520px){.psyfi-yt__grid{grid-template-columns:repeat(1,minmax(0,1fr))}}


@media (min-width: 768px) {
    .psyfi-yt__carousel{gap:16px;}
    .psyfi-yt__item{flex:0 0 250px;}
}

@media (min-width: 1024px) {
    .psyfi-yt__item{flex:0 0 400px;}
}